Bug Hunting Session
Bug 81036 - Tilde character not appearing in Tools > Options > LibreOffice Math > Settings
Summary: Tilde character not appearing in Tools > Options > LibreOffice Math > Settings
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords: regression
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2014-07-08 08:43 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 19:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
how the options dialog appears (43.14 KB, image/png)
2014-07-08 08:43 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-07-08 08:43:28 UTC
Created attachment 102421 [details]
how the options dialog appears

While doing the arabic translation of 4.3, i noticed at < https://translations.documentfoundation.org/ar/libo_ui/translate/starmath/uiconfig/smath/ui.po#unit=48728699 > that the english string is set to 'Ig_nore ~ and ` at the end of the line', but it displays as 'Ignore  and ` at the end of the line'. It is a regression that started in 4.2 and is available in 4.2.5 and 4.3.1.
Comment 1 sophie 2014-07-08 11:44:16 UTC
Hi, confirmed using Version: 4.3.0.2, it seems the new dialog escape the '~'. Set to New - Sophie
Comment 2 Commit Notification 2014-07-08 12:43:42 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4861e4961f7dc4f28a14c5f9d9b969456bfec720

fdo#81036 escape ~ in .ui and fix a typo (straight apostrophe)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 sophie 2014-07-08 12:47:42 UTC
Thanks a lot Andras :) Sophie
Comment 4 Commit Notification 2014-07-09 07:59:58 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eb5dce78943da38d73838b564117c4307b4fcb7&h=libreoffice-4-3

fdo#81036 escape ~ in .ui and fix a typo (straight apostrophe)


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.